IsFileSelected (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: IsFileSelected

Package org.apache.tools.ant.taskdefs.condition

# Class IsFileSelected

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.selectors.AbstractSelectorContainer
org.apache.tools.ant.taskdefs.condition.IsFileSelected

All Implemented Interfaces:
  `java.lang.Cloneable`, `Condition`, `SelectorContainer`

    public class IsFileSelected
    extends AbstractSelectorContainer
    implements Condition

This is a condition that checks to see if a file passes an embedded selector.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IsFileSelected()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `eval()` | Evaluate the selector with the file.
  `void` | `setBaseDir​(java.io.File baseDir)` | The base directory to use.
  `void` | `setFile​(java.io.File file)` | The file to check.
  `void` | `validate()` | validate the parameters.

  ### Methods inherited from class org.apache.tools.ant.types.selectors.AbstractSelectorContainer

  `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPosixGroup, addPosixPermissions, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendSelector, clone, dieOnCircularReference, getSelectors, hasSelectors, selectorCount, selectorElements, toString`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IsFileSelected

    public IsFileSelected()

- ## Method Details

  - ### setFile

    public void setFile​(java.io.File file)
    The file to check.
    Parameters:
      `file` - the file to check if if passes the embedded selector.

  - ### setBaseDir

    public void setBaseDir​(java.io.File baseDir)
    The base directory to use.
    Parameters:
      `baseDir` - the base directory to use, if null use the project's basedir.

  - ### validate

    public void validate()
    validate the parameters.
    Overrides:
      `validate` in class `AbstractSelectorContainer`

  - ### eval

    public boolean eval()
    Evaluate the selector with the file.
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if the file is selected by the embedded selector.